#property script_show_inputs

input datetime inFromDate = D'2019.09.01';       //   
input ENUM_TIMEFRAMES inPeriod = PERIOD_CURRENT; //  
input uint inMaxLength1 = 0;                     //   ( )  
input uint inMaxLength2 = 0;                     //   ( )  

#ifdef __MQL5__

#define MACROS(A, B)               \
  int Time##A( const datetime dt ) \
  {                                \
    MqlDateTime mdts;              \
                                   \
    TimeToStruct(dt, mdts);        \
                                   \
    return(mdts.B);                \
  }                                \

  MACROS(DayOfWeek, day_of_week)
#undef MACROS

#endif // __MQL5__

#include <fxsaber\Research\Research03\Research03.mqh> //          .

#property description RESEARCH03_DESCRIPTION

void OnStart()
{
  RESEARCH03 Research(_Symbol, inFromDate, inPeriod, inMaxLength1, inMaxLength2);

  Research.Run();
}